Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.algorithm.learning.unsupervised.cluster
Class HierarchicalClusterer

    java.lang.Object
      baseCode.algorithm.Algorithm
          baseCode.algorithm.learning.unsupervised.cluster.ClusteringAlgorithm
              baseCode.algorithm.learning.unsupervised.cluster.HierarchicalClusterer

public class HierarchicalClusterer
extends ClusteringAlgorithm

Start with all items in separate clusters. Compute the distances between all clusters Find the clusters with the highest similarity. Combine them into one cluster Iterate until there is only one cluster. Output: for each cluster, print the clusters it contains.

Copyright (c) 2004 Columbia University

Version:
  $Id: HierarchicalClusterer.java,v 1.6 2004/08/14 15:19:05 pavlidis Exp $
Author:
  pavlidis

Field Summary

Fields inherited from class baseCode.algorithm.Algorithm
`log`

Constructor Summary
`HierarchicalClusterer(cern.colt.list.ObjectArrayList c)`

Method Summary
`java.lang.Object[]` | `getResults()`
`void` | `run()` Perform a hierarchical clustering on the objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchicalClusterer

    public HierarchicalClusterer(cern.colt.list.ObjectArrayList c)

Parameters:
  `c` - Objects to be clustered. These must be Distanceable

Method Detail

### run

    public void run()

  Perform a hierarchical clustering on the objects. Initialize: compute the distances between all objects. Find the closest pair to initialize the clustering.

  See Also:
    `baseCode.algorithm.learning.unsupervised.cluster.Algorithm#Run()`

### getResults

    public java.lang.Object[] getResults()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.